summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--LICENSE.md2
-rwxr-xr-xextra/update_gh-pages.sh8
-rw-r--r--rust/HACKING.md2
-rw-r--r--rust/README.md2
-rw-r--r--rust/TODO2
5 files changed, 8 insertions, 8 deletions
diff --git a/LICENSE.md b/LICENSE.md
index ba501d12..2de9f769 100644
--- a/LICENSE.md
+++ b/LICENSE.md
@@ -9,7 +9,7 @@ The python 'fatcat_openapi_client' API client library (under the
./python/fatcat_openapi_client/ directory), which is auto-generated from a
swagger/openapi schema specification, is released to the public domain.
-The rust 'fatcat-api-spec' API library (under the ./rust/fatcat-api-spec/
+The rust 'fatcat-openapi' API library (under the ./rust/fatcat-openapi/
directory), which is auto-generated from the swagger/openapi schema
specification, is released to the public domain.
diff --git a/extra/update_gh-pages.sh b/extra/update_gh-pages.sh
index cf325f63..2771c24e 100755
--- a/extra/update_gh-pages.sh
+++ b/extra/update_gh-pages.sh
@@ -9,14 +9,14 @@ set -e -u -o pipefail
cd rust
cargo doc
mkdir -p /tmp/fatcat-ghpages
-cp -r target/doc/fatcat target/doc/fatcat_api_spec /tmp/fatcat-ghpages
+cp -r target/doc/fatcat target/doc/fatcat_openapi /tmp/fatcat-ghpages
cd ..
git checkout gh-pages
mv fatcat fatcat.old_docs || true
-mv fatcat_api_spec fatcat_api_spec.old_docs || true
+mv fatcat_openapi fatcat_openapi.old_docs || true
mv /tmp/fatcat-ghpages/fatcat .
-mv /tmp/fatcat-ghpages/fatcat_api_spec .
-git add fatcat fatcat_api_spec
+mv /tmp/fatcat-ghpages/fatcat_openapi .
+git add fatcat fatcat_openapi
git commit -m "updating rendered manpage for github docs" || true
git checkout master
rm -r /tmp/fatcat-ghpages
diff --git a/rust/HACKING.md b/rust/HACKING.md
index 1a33f9c8..c321cded 100644
--- a/rust/HACKING.md
+++ b/rust/HACKING.md
@@ -16,7 +16,7 @@ swagger API spec on one side and the SQL schema on the other.
- `./src/endpoints.rs`: hand- and macro-generated wrapper functions, one per
API endpoint, that map between API request and return types, and
rust-idiomatic request and return types (plus API models).
-- `./fatcat-api-spec`: autogenerated API models and endpoint types/signatures
+- `./fatcat-openapi`: autogenerated API models and endpoint types/signatures
- `../fatcat-openapi2.yaml`: OpenAPI 2 specification of API models and
endpoints
diff --git a/rust/README.md b/rust/README.md
index 86c25d29..2f67c1f8 100644
--- a/rust/README.md
+++ b/rust/README.md
@@ -7,7 +7,7 @@ Rust implementation of fatcat API server. Commands include:
- `fatcat-export`: high-speed JSON export tool, which talks directly to the
database (instead of going through the API).
-The `fatcat-api-spec` crate is generated from the openapi/swagger spec and
+The `fatcat-openapi` crate is generated from the openapi/swagger spec and
contains Rust models, response types, and endpoint definitions (but not
implementations).
diff --git a/rust/TODO b/rust/TODO
index a9fb32a4..a78795d3 100644
--- a/rust/TODO
+++ b/rust/TODO
@@ -10,7 +10,7 @@ huge compile times:
- duplicated libs: 3 syn, 4 uuid, 3 crossbeam (etc), 2 hyper, 2 iron (wait,
what?), 3x serde, 4x rand, 2x error-chain
=> rg '^name =' Cargo.lock | uniq -cd | sort -n
-- try: removing deps from fatcat-api-spec
+- try: removing deps from fatcat-openapi
- uuid: could now switch to v0.7; needs code changes
- tweak crossbeam-channel version (used in fatcat-export)